Subject: Re: git binary size...

From: "H. Peter Anvin" <[email-masked]>
Date: Thu, 12 Jan 2006 11:16:27 -0800

Linus Torvalds wrote:
> 
>>Repeat after me: "autoconf is crap".
> 
> .. which is not to say that some _other_ autoconf-like thing might not be 
> good.
> 
> The problem I have with autoconf is that it adds absolutely horrendous 
> #ifdef's etc all over the place, and the resulting makefile (and the 
> config file itself) is just completely unreadable.
> 
> The reason autoconf sucks *ss is that it doesn't try to abstract out any 
> of the differences between systems, it tries to basically "fix up" the 
> differences.
> 
> A real abstraction library would be a lot more preferable than autoconf. 
> It's kind of the way the git stuff works (ie using things like 
> "gitstrcasestr()" and "gitfakemmap()"), but for many of the same reasons 
> that autoconf never did a good job, git itself doesn't do a good job (it 
> uses "#if" hackery to then do things like "#define mmap gitfakemmap").
> 
> But I think the git kind of hackish #ifdef thing is better than the 
> _insitutionalized_ horrible autoconf hackery.
> 

You can use autoconf in this way, though.  See my previous post on the 
matter.

	-hpa